Bug 1278699 - [abrt] xfce4-panel: monitor_free(): wrapper-1.0 killed by SIGABRT
[abrt] xfce4-panel: monitor_free(): wrapper-1.0 killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9b80eeed4acdaae186deffea03f...
:
: 1352206 1352448 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 03:25 EST by Vitaliy Sapronenko
Modified: 2016-12-20 10:26 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:26:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.56 KB, text/plain)
2015-11-06 03:25 EST, Vitaliy Sapronenko
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-06 03:25 EST, Vitaliy Sapronenko
no flags Details
File: core_backtrace (6.19 KB, text/plain)
2015-11-06 03:25 EST, Vitaliy Sapronenko
no flags Details
File: dso_list (10.63 KB, text/plain)
2015-11-06 03:25 EST, Vitaliy Sapronenko
no flags Details
File: environ (1.44 KB, text/plain)
2015-11-06 03:25 EST, Vitaliy Sapronenko
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-06 03:25 EST, Vitaliy Sapronenko
no flags Details
File: maps (51.12 KB, text/plain)
2015-11-06 03:25 EST, Vitaliy Sapronenko
no flags Details
File: mountinfo (3.45 KB, text/plain)
2015-11-06 03:25 EST, Vitaliy Sapronenko
no flags Details
File: open_fds (593 bytes, text/plain)
2015-11-06 03:25 EST, Vitaliy Sapronenko
no flags Details
File: proc_pid_status (1023 bytes, text/plain)
2015-11-06 03:25 EST, Vitaliy Sapronenko
no flags Details

  None (edit)
Description Vitaliy Sapronenko 2015-11-06 03:25:25 EST
Version-Release number of selected component:
xfce4-panel-4.12.0-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/panel/wrapper-1.0 /usr/lib64/xfce4/panel/plugins/libsystemload.so 17 21112093 systemload '\xd0\xa1\xd1\x82\xd0\xb5\xd0\xb6\xd0\xb5\xd0\xbd\xd0\xbd\xd1\x8f \xd0\xb7\xd0\xb0 \xd0\xbd\xd0\xb0\xd0\xb2\xd0\xb0\xd0\xbd\xd1\x82\xd0\xb0\xd0\xb6\xd0\xb5\xd0\xbd\xd0\xbd\xd1\x8f\xd0\xbc \xd1\x81\xd0\xb8\xd1\x81\xd1\x82\xd0\xb5\xd0\xbc\xd0\xb8' '\xd0\xa1\xd1\x82\xd0\xb5\xd0\xb6\xd0\xb8\xd1\x82\xd0\xb8 \xd0\xb7\xd0\xb0 \xd0\xbd\xd0\xb0\xd0\xb2\xd0\xb0\xd0\xbd\xd1\x82\xd0\xb0\xd0\xb6\xd0\xb5\xd0\xbd\xd0\xbd\xd1\x8f\xd0\xbc \xd0\xbf\xd1\x80\xd0\xbe\xd1\x86\xd0\xb5\xd1\x81\xd0\xbe\xd1\x80\xd0\xb0, \xd0\xb2\xd0\xb8\xd0\xba\xd0\xbe\xd1\x80\xd0\xb8\xd1\x81\xd1\x82\xd0\xb0\xd0\xbd\xd0\xbd\xd1\x8f\xd0\xbc \xd1\x84\xd0\xb0\xd0\xb9\xd0\xbb\xd1\x83 \xd0\xbf\xd1\x96\xd0\xb4\xd0\xba\xd0\xb0\xd1\x87\xd0\xba\xd0\xb8 \xd1\x96 \xd0\xbe\xd1\x81\xd0\xbd\xd0\xbe\xd0\xb2\xd0\xbd\xd0\xbe\xd1\x8e \xd0\xbf\xd0\xb0\xd0\xbc\'\xd1\x8f\xd1\x82\xd1\x82\xd1\x8e' ''
crash_function: monitor_free
executable:     /usr/lib64/xfce4/panel/wrapper-1.0
global_pid:     24039
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #7 monitor_free at systemload.c:397
 #8 _g_closure_invoke_va at gclosure.c:864
 #11 xfce_panel_plugin_dispose at xfce-panel-plugin.c:902
 #13 gtk_container_destroy at gtkcontainer.c:1073
 #18 gtk_object_dispose at gtkobject.c:421

Potential duplicate: bug 1172457
Comment 1 Vitaliy Sapronenko 2015-11-06 03:25:31 EST
Created attachment 1090492 [details]
File: backtrace
Comment 2 Vitaliy Sapronenko 2015-11-06 03:25:32 EST
Created attachment 1090493 [details]
File: cgroup
Comment 3 Vitaliy Sapronenko 2015-11-06 03:25:34 EST
Created attachment 1090494 [details]
File: core_backtrace
Comment 4 Vitaliy Sapronenko 2015-11-06 03:25:35 EST
Created attachment 1090495 [details]
File: dso_list
Comment 5 Vitaliy Sapronenko 2015-11-06 03:25:37 EST
Created attachment 1090496 [details]
File: environ
Comment 6 Vitaliy Sapronenko 2015-11-06 03:25:38 EST
Created attachment 1090498 [details]
File: limits
Comment 7 Vitaliy Sapronenko 2015-11-06 03:25:40 EST
Created attachment 1090499 [details]
File: maps
Comment 8 Vitaliy Sapronenko 2015-11-06 03:25:42 EST
Created attachment 1090500 [details]
File: mountinfo
Comment 9 Vitaliy Sapronenko 2015-11-06 03:25:43 EST
Created attachment 1090501 [details]
File: open_fds
Comment 10 Vitaliy Sapronenko 2015-11-06 03:25:45 EST
Created attachment 1090502 [details]
File: proc_pid_status
Comment 11 Kevin Fenzi 2015-11-06 10:42:16 EST
What were you doing when this happened?

Can you duplicate the crash?
Comment 12 Vitaliy Sapronenko 2015-11-09 05:15:35 EST
(In reply to Kevin Fenzi from comment #11)
> What were you doing when this happened?
> 
> Can you duplicate the crash?

I'm sorry? I don't know what made chash
Comment 13 Kevin Fenzi 2015-11-09 10:45:10 EST
Thats fine, if you did it would be easier to isolate what is at fault... ;) 

Will try and figure out from the backtrace. Thanks for your report.
Comment 14 Miro Hrončok 2016-02-25 09:30:46 EST
Similar problem has been detected:

logged in. crash detected. no real problem.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/panel/wrapper-1.0 /usr/lib64/xfce4/panel/plugins/libsystemload.so 3 21141658 systemload 'Sledov\xc3\xa1n\xc3\xad vyt\xc3\xad\xc5\xbeen\xc3\xad syst\xc3\xa9mu' 'Sleduje zat\xc3\xad\xc5\xbeen\xc3\xad procesoru, vyu\xc5\xbeit\xc3\xad odd\xc3\xadlu swap a pam\xc4\x9bti' ''
crash_function: monitor_free
executable:     /usr/lib64/xfce4/panel/wrapper-1.0
global_pid:     8180
kernel:         4.3.5-300.fc23.x86_64
package:        xfce4-panel-4.12.0-4.fc23
reason:         wrapper-1.0 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Jani Heinonen 2016-04-11 02:37:08 EDT
Similar problem has been detected:

Added plugin and removed soon after

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/panel/wrapper-1.0 /usr/lib64/xfce4/panel/plugins/libsystemload.so 7 21003660 systemload 'System Load Monitor' 'Monitor CPU load, swap usage and memory footprint' ''
crash_function: monitor_free
executable:     /usr/lib64/xfce4/panel/wrapper-1.0
global_pid:     31693
kernel:         4.4.6-301.fc23.x86_64
package:        xfce4-panel-4.12.0-4.fc23
reason:         wrapper-1.0 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Jani Heinonen 2016-04-22 00:57:45 EDT
Similar problem has been detected:

I added "System Load Monitor" to panel2. After removing the plugin the crash occured

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/panel/wrapper-1.0 /usr/lib64/xfce4/panel/plugins/libsystemload.so 8 18889821 systemload 'System Load Monitor' 'Monitor CPU load, swap usage and memory footprint' ''
crash_function: monitor_free
executable:     /usr/lib64/xfce4/panel/wrapper-1.0
global_pid:     10548
kernel:         4.4.6-301.fc23.x86_64
package:        xfce4-panel-4.12.0-4.fc23
reason:         wrapper-1.0 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 ssabchew 2016-07-04 03:56:04 EDT
*** Bug 1352448 has been marked as a duplicate of this bug. ***
Comment 18 Mukundan Ragavan 2016-07-06 21:49:51 EDT
*** Bug 1352206 has been marked as a duplicate of this bug. ***
Comment 19 Fedora End Of Life 2016-11-24 08:07:50 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2016-12-20 10:26:51 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.